changeset 11256:e12ffbb3ba4b

test-closein: silence test under Darwin * tests/test-closein.sh: Ignore stderr from cat, since we don't care if it dies from EPIPE or EBADF. Signed-off-by: Eric Blake <ebb9@byu.net>
author Eric Blake <ebb9@byu.net>
date Tue, 03 Mar 2009 06:15:08 -0700
parents 8654d5f5a115
children a1d8806893b5
files ChangeLog tests/test-closein.sh
diffstat 2 files changed, 9 insertions(+), 3 deletions(-) [+]
line wrap: on
line diff
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,9 @@
+2009-03-03  Eric Blake  <ebb9@byu.net>
+
+	test-closein: silence test under Darwin
+	* tests/test-closein.sh: Ignore stderr from cat, since we don't
+	care if it dies from EPIPE or EBADF.
+
 2009-03-03  Bruno Haible  <bruno@clisp.org>
 
 	* doc/gnulib.texi: Include visibility.texi and ld-version-script.texi
--- a/tests/test-closein.sh
+++ b/tests/test-closein.sh
@@ -16,10 +16,10 @@
 (./test-closein${EXEEXT} consume; cat) < ${p}in.tmp > ${p}out2.tmp || exit 1
 cmp ${p}out2.tmp ${p}xout.tmp || exit 1
 
-# Test for lack of error on pipe
-cat ${p}in.tmp | ./test-closein${EXEEXT} || exit 1
+# Test for lack of error on pipe.  Ignore any EPIPE failures from cat.
+cat ${p}in.tmp 2>/dev/null | ./test-closein${EXEEXT} || exit 1
 
-cat ${p}in.tmp | ./test-closein${EXEEXT} consume || exit 1
+cat ${p}in.tmp 2>/dev/null | ./test-closein${EXEEXT} consume || exit 1
 
 # Test for lack of error when nothing is read
 ./test-closein${EXEEXT} </dev/null || exit 1